Subject: Re: diff inserts tab into header ?
From: Spiro Trikaliotis <[email-masked]>
To: [email-masked]
Cc: xerces8 <[email-masked]>
Date: Mon, 2 Feb 2009 16:52:59 +0100
List-Id: <cygwin.cygwin.com>

Hello,

* On Mon, Feb 02, 2009 at 04:10:52PM +0100 xerces8 wrote:
 
> I noticed that 
> diff -u Portmon.log _viminfo
> (using diffutils 2.8.7-1) puts tabs into the header, like this:
> 
> --- Portmon.log 2008-07-25 13:57:56.631375000 +0200
> +++ _viminfo    2009-01-21 13:56:23.715740300 +0100
> @@ -1,393 +1,401 @@
> 
> after the filename and before the date is a TAB char.

That's correct, and it should be there. That's how all diffs I know
behave. That's even correct for "svn diff" and "cvs diff".
 
> I discovered this when trying to send a patch to a project and
> they rejected it because of this tab chars.

Are you sure this is the case? Can you send the exact message they sent
you when they rejected the patch?

Best regards,
Spiro.

-- 
Spiro R. Trikaliotis                              http://opencbm.sf.net/
http://www.trikaliotis.net/                     http://www.viceteam.org/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/